import { defineComponent as n, computed as u, openBlock as o, createBlock as m, unref as d, isRef as k, normalizeClass as c, normalizeProps as f, mergeProps as P } from "vue";
import { _ as V } from "./constants-29d3b8ff.js";
import { K as g } from "./KapixDatetimePicker-2f3610df.js";
import { a6 as h, a7 as y, as as C, a9 as D } from "./index-9ceb1eb9.js";
import "@vueuse/core";
import "lodash-es";
import "axios";
import "vue-i18n";
const K = `.kapix-date-time-picker{width:100%;height:100%;min-width:0;min-height:0}
`, b = /* @__PURE__ */ n({
  __name: "KapixDateTimePickerInput",
  props: h([Date, String]),
  emits: ["update:modelValue"],
  setup(i, { emit: p }) {
    y("KapixDateTimePickerInput", K);
    const a = i, s = p, r = u({
      get() {
        return C(D(a));
      },
      set(e) {
        var t;
        s("update:modelValue", e), (t = a.onValueChanged) == null || t.call(a, e);
      }
    });
    return (e, t) => e.editable ? (o(), m(g, {
      key: 0,
      modelValue: d(r),
      "onUpdate:modelValue": t[0] || (t[0] = (l) => k(r) ? r.value = l : null),
      markers: e.options.markers,
      "marker-date-prop": e.options.markerDateProp,
      "marker-color": e.options.markerColor,
      class: c([e.templateClass, "kapix-date-time-picker"]),
      type: "datetime"
    }, null, 8, ["modelValue", "markers", "marker-date-prop", "marker-color", "class"])) : (o(), m(V, f(P({ key: 1 }, a)), null, 16));
  }
});
export {
  b as default
};
